package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.Statement;
import com.ruoyi.web.work.domain.dto.StatementExportDto;
import com.ruoyi.web.work.domain.vo.StatementExportListVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-20
 */
public interface StatementMapper extends BaseMapper<Statement> {
    List<Statement> selectList(Statement statement);

    List<Statement> selectPayList(Statement statement);

    @Select("SELECT * FROM tb_statement_detail WHERE statement_id=#{statementId}")
    List<StatementExportListVo> exportList(StatementExportDto dto);

    Statement calculate(@Param("id") Long id);
}
